/**
 * Parametre automatu, pustat na H1
 */
extern string S1 = "[Magic number]";
extern int magic = 123456; 
extern string S2 = "[Velkost otvaranej pozicie]";
extern double lots = 0.1;
extern string S3 = "[Range koeficient]";
extern double rangeKoef = 0.25;
extern string S4 = "[Max range (pips)]";
extern int maxRange = 60;
extern string S5 = "[Cas otvorenia London (broker time)]";
extern int LondonOpen = 9;
extern string S6 = "[Platnost pending order (minuty)]";
extern int expir = 90;
//extern bool doTrail = false;

int slip = 3;
double londonMin;
double londonMax;
double londonRange;
int pointMultiple;


int init()
{
   if ((Digits == 3) || (Digits == 5))
      pointMultiple = 10;
   else
      pointMultiple = 1;

   return(0);
}  

int deinit()
{
   return(0);
}

int start()
{
   if (Volume[0] <= 1)
   {
      if (TimeHour(Time[0]) == LondonOpen+1)
      {
         getLondonRange();
         
         if (londonRange < (maxRange*Point*pointMultiple) )
         {
            setPendingOrder();
         }
         else
         {
            Print("Prekroceny maxRange, dnes neotvorim obchod");
         }
      }
   }   
}

void getLondonRange()
{
   londonMin = iLow(Symbol(),PERIOD_H1,1);
   londonMax = iHigh(Symbol(),PERIOD_H1,1);
  
   londonRange = londonMax-londonMin;
}


void setPendingOrder()
{
   double buyPrice = NormalizeDouble(londonMax+(londonRange*rangeKoef), Digits); // ask
   double sellPrice = NormalizeDouble(londonMin-(londonRange*rangeKoef), Digits); //bid
   
   double buySL = londonMin;
   double sellSL = londonMax;
   
   double buyTP = buyPrice+londonRange;
   double sellTP = sellPrice-londonRange;

   datetime expiration = TimeCurrent()+(expir*60);

   // buy
   OrderSend(Symbol(),OP_BUYSTOP,lots,buyPrice,slip,buySL,buyTP,NULL,magic,expiration);

   // sell
   OrderSend(Symbol(),OP_SELLSTOP,lots,sellPrice,slip,sellSL,sellTP,NULL,magic,expiration); 
}